Hi,
You can use the below format to find a rotation along an axis check image.
So, example if you want to rotate along Z axis 30 degrees the below will be your rotation matrix.
Dim rotation1 As NXOpen.Matrix3x3 = Nothing
rotation1.Xx = 0.86602540378443882
rotation1.Xy = -0.49999999999999967...
You just need to modify NX Mapping file for this. In TC command export the mapping file, edit the mapping attribute information and re-import.
Regards,
Mukundh
Are you able to run the external NXOpen application? If No.
Change the NXOpen, NXOpen.UF,.. Refences property "Copy Local" to True. Try executing the program.
To run the NXOpen program in Visual Studio itself then perform the following.
1) Open Start Menu-> Progames->NX Folder->NX...